// JavaScript Document

/*****************************************************************************************************************************/
function getProductName(pnv) {
	X = pnv.lastIndexOf(" ");
	productname = pnv.substring(0, X);
	//supprimer les espaces dans productname et mettre tout en minuscules
	regPN = new RegExp(" ", "g");
	productname = productname.replace(regPN, "").toLowerCase();
	return productname;
}

/* function getVersion(pnv) {
	X = pnv.lastIndexOf(" ");
	version = pnv.substring(X + 1, pnv.length);
	//remplacer le . de la version par _
	regV = new RegExp("\\.", "g");
	version = version.replace(regV, "_");
	return version;
} */

function getVersion(pnv) {
	X = pnv.lastIndexOf(" ");
	version = pnv.substring(X + 1, pnv.length);
	//remplacer le . de la version par _
	regV = new RegExp("\\.", "g");
	version = version.replace(regV, "_");
	//si 6_4_3, ne garder que 6_4
	while (version.indexOf("_") != -1 && version.indexOf("_") != version.lastIndexOf("_"))
		version = version.substring(0, version.lastIndexOf("_"));
	return version;
}

/*****************************************************************************************************************************/
function getCookie(NameOfCookie) {
	if (document.cookie.length > 0) { 
		begin = document.cookie.indexOf(NameOfCookie+"="); 
		if (begin != -1) { 
			begin += NameOfCookie.length+1; 
			end = document.cookie.indexOf(";", begin);
			if (end == -1)
				end = document.cookie.length;
			return unescape(document.cookie.substring(begin, end));
		} 
	}
	return null;
}

function setCookie(NameOfCookie, value, expiredays) {
	var ExpireDate = new Date ();
	ExpireDate.setTime(ExpireDate.getTime() + (expiredays * 24 * 3600 * 1000));
	document.cookie = NameOfCookie + "=" + escape(value) + ((expiredays == null) ? "" : "; expires=" + ExpireDate.toGMTString());
}

function delCookie(NameOfCookie) {
	if (getCookie(NameOfCookie)) {
		document.cookie = NameOfCookie + "=" + "; expires=Thu, 01-Jan-70 00:00:01 GMT";
	}
}

/*****************************************************************************************************************************/
function blockError(sMsg, sUrl, sLine) {
	try {
		alert("Error: " + sMsg + "\n" + "Line: " + sLine + "\n" + "URL: " + sUrl);
		window.location.reload(false);
	}
	catch(e) { }
	return true;
}

/*****************************************************************************************************************************
function extSrc(filename) {
	var X, Y, sl, a, ra, link, reg;
	ra = /:/;
	a = location.href.search(ra);
	//sl et X valables pour HTML Help
	sl = "\\";
	if (a == 2) {
		X = 14;
	}
	else {
		if (a == 4) {
			//sl et X valables pour HMTL Pages
			X = 0;
			sl = "/";
		}
		else {
			X = 7;
		}
	}
		
	Y = location.href.lastIndexOf(sl) + 1;
	link = location.href.substring(X, Y) + filename;
	//remplacer les %20 du link par des espaces
	reg = new RegExp("%20", "g");
	
	return link.replace(reg, " ");
}

/*****************************************************************************************************************************/
function writeFrame(id, filename) {
	var X, Y, sl, a, ra, link, reg;
	ra = /:/;
	a = location.href.search(ra);
	//sl et X valables pour HTML Help
	sl = "\\";
	if (a == 2) {
		X = 14;
	}
	else {
		if (a == 4) {
			//sl et X valables pour HMTL Pages
			X = 0;
			sl = "/";
		}
		else {
			X = 7;
		}
	}
		
	Y = location.href.lastIndexOf(sl) + 1;
	link = location.href.substring(X, Y) + filename;
	//remplacer les %20 du link par des espaces
	reg = new RegExp("%20", "g");
	document.writeln("<iframe id='" + id + "' style='display:none' src='" + link.replace(reg, " ") + "'>");
	document.writeln("<p>[Your user agent does not support frames or is currently not configured to display frames.]</p>");
	document.writeln("</iframe>");
	
	//document.writeln("<iframe id='" + id + "' src='http://engineering.euresys.com/Documentation/Partial MultiCam Reference/About_Euresys_Documentation.htm'>");
}

/*****************************************************************************************************************************/
/* Vrifier que la page "About_Euresys_Documentation.htm" est bien charge dans son iframe et mettre  jour la page
Sinon on laisse la slection par dfaut sur "All Boards". */
function readCookie() {
	//pour IE
	if (document.getElementsByTagName("iframe")[0].readyState == "complete") {
		try {
			relevantSeries = document.frames("hidden").getCookie("cookieRelevantSeries");
			updateSelection(relevantSeries);
			updateTopic(relevantSeries);
		}
		catch (e) {}
	}
}

/*****************************************************************************************************************************/
/* Mettre  jour l'option slectionne du menu droulant par rapport  la srie choisie (relevantSeries).
Si cette valeur n'existe pas, c'est "All boards" qui est slectionn.*/
function updateSelection(relevantSeries) {
	try {
		for (i = 0; i < document.getElementById("selRelevantSeries").options.length; i++) {
			if (document.getElementById("selRelevantSeries").options[i].value == relevantSeries) {
				document.getElementById("selRelevantSeries").options[i].selected = true;
				return;
			}
		}
	}
	catch(e) {
		alert("updateSelection failed.");
	}
}
		
/*****************************************************************************************************************************/
/* La menu droulant permet  l'utilisateur de filtrer les paramtres par rapport  une famille de cartes.
La fonction saveRelevantSeries est excute 1) au chargement de la page 2) quand on change d'option dans le menu droulant.
Elle sauvegarde la srie choisie dans une variable globale et dans un cookie,
pour que le choix soit toujours actif d'un paramtre  l'autre, ou au prochain dmarrage du chm.*/
function saveRelevantSeries() {
	relevantSeries = document.getElementById("selRelevantSeries").value;
	try {
		if (navigator.appName == "Microsoft Internet Explorer") {
			// setter un cookie pour sauvegarder la variable
			document.frames("hidden").setCookie("cookieRelevantSeries", relevantSeries, 365);
		}
		else {
			// setter un cookie pour sauvegarder la variable
			setCookie("cookieRelevantSeries", relevantSeries, 365);
		}
		//THE FOLLOWING LINE HAS TO BE DEACTIVATED AS IT RAISES AN ERROR IN FireFox 1.0.6 UNDER Linux Suse 10 (Suzette)
		//document.body.focus();
		updateTopic(relevantSeries);
	}
	catch(error) {
		//alert("saveRelevantSeries failed.");
		alert("To enable selection, make sure the 'About_Euresys_Documentation.htm' file, available in MultiCam release, is in the same directory as this help file (.chm).");
		updateSelection("ALL");
		//THE FOLLOWING LINE HAS BEEN ADDED IN MAY 2008, CASE 4204
		updateTopic("ALL");
	}
}

/*****************************************************************************************************************************/
function updateTopic(relevantSeries) {
	try {
		//rcuprer les 3 tableaux de scope
		myPicoloTable = document.getElementById("PicoloTable");
		myDominoTable = document.getElementById("DominoTable");
		myGrablinkTable = document.getElementById("GrablinkTable");
								
		if (relevantSeries == "ALL") {
			updateDivs(relevantSeries);
			myPicoloTable.className = "visible";
			myDominoTable.className = "visible";
			myGrablinkTable.className = "visible";
		}
		else {
			//dterminer en fonction de relevantSeries le scope table qu'on analyse...
			switch(relevantSeries) {
				case "PICOLO":
					if (isParameterRelevant(myPicoloTable) == false) {
						emptyTopic();
					}
					else {
						updateDivs(relevantSeries);
						myPicoloTable.className = "visible";
						myDominoTable.className = "invisible";
						myGrablinkTable.className = "invisible";
					}
					break;
				case "DOMINO":
					if (isParameterRelevant(myDominoTable) == false) {
						emptyTopic();
					}
					else {
						updateDivs(relevantSeries);
						myPicoloTable.className = "invisible";
						myDominoTable.className = "visible";
						myGrablinkTable.className = "invisible";
					}
					break;
				case "GRABLINK":
					if (isParameterRelevant(myGrablinkTable) == false) {
						emptyTopic();
					}
					else {
						updateDivs(relevantSeries);
						myPicoloTable.className = "invisible";
						myDominoTable.className = "invisible";
						myGrablinkTable.className = "visible";
					}
					break;
			}
		}
	}
	catch(e) {
		alert("updateTopic failed.");
	}
	return;
}

/********************************************************************************************************************/
function createDiv(id) {
	try {
		var myDiv = document.getElementById(id);
		if (myDiv == null) {
			myDiv = document.createElement("DIV");
			myDiv.id = id;
			myDiv.className = "invisible";
			document.getElementById("content").appendChild(myDiv);
			//alert("myDiv " + id + " cre");
		}
	}
	catch(e) {
		alert("createDiv failed.");
	}
	return myDiv;
}

/*****************************************************************************************************************************/
/* le code ci-aprs implique strictement que 1 famille = 1 DIV
corriger les <DIV id="PICOLO, GRABLINK"> en ddoublant !!!*/
function updateDivs(relevantSeries) {
	try {
		//rcuprer les DIV existantes, crer celles qui n'existent pas
		var divContent = document.getElementById("content");
		var divEmpty = document.getElementById("empty");
		var divPicolo = createDiv("PICOLO");
		var divDomino = createDiv("DOMINO");
		var divGrablink = createDiv("GRABLINK");
		
		//toutes les Divs sont invisibles sauf
		//la Div de la famille relevante
		if (relevantSeries == "PICOLO") {
			divContent.className = "visible";
			divEmpty.className = "invisible";
			divPicolo.className = "visible";
			divDomino.className = "invisible";
			divGrablink.className = "invisible";
		}
		else {
			if (relevantSeries == "DOMINO") {
				divContent.className = "visible";
				divEmpty.className = "invisible";
				divPicolo.className = "invisible";
				divDomino.className = "visible";
				divGrablink.className = "invisible";
			}
			else {
				if (relevantSeries == "GRABLINK") {
					divContent.className = "visible";
					divEmpty.className = "invisible";
					divPicolo.className = "invisible";
					divDomino.className = "invisible";
					divGrablink.className = "visible";
				}
				else {
					if (relevantSeries == "ALL") {
						divContent.className = "visible";
						divEmpty.className = "invisible";
						divPicolo.className = "visible";
						divDomino.className = "visible";
						divGrablink.className = "visible";
					}
				}
			}
		}
	}
	catch(e) {
		alert("updateDivs failed. relevantSeries = " + relevantSeries);
	}
}

/*****************************************************************************************************************************/
function isParameterRelevant(myScopeTable) {
	//vrifier si au moins une cellule du tableau contient une carte "active", cd avec de style "tdhyperlink"
	//(sinon, c'est que le paramtre ne s'applique pas  la srie).
	//<td class="tdhyperlink"> ...
	//pour Firefox, cells s'applique sur une tr, pas sur la table entire...
	myScopeCells = myScopeTable.rows[0].cells;
	for (i = 0; i < myScopeCells.length; i++) {
		if ( myScopeCells[i].className == "tdhyperlink" )
			return true;
	}
	return false;
}

/*****************************************************************************************************************************/
function emptyTopic() {
	//afficher un texte adquat et finir le topic, quand le paramtre ne s'applique pas  la srie.
	try {
		//trouver la div id=content et la rendre invisible
		divContent = document.getElementById("content");
		divContent.className = "invisible";
		
		//trouver la div id=empty et la rendre visible
		divEmpty = document.getElementById("empty");
		divEmpty.className = "visible";
		divEmpty.firstChild.innerText = "This parameter is not relevant for any " + relevantSeries + " board.";
	}
	catch(error) { }
}

/*****************************************************************************************************************************/
function adaptWidthIfScrollBar() {
	if (document.all("content").offsetWidth == document.all("content").scrollWidth) {
		document.all("content").style.paddingRight = "40px";
	}
	else {
		document.all("content").style.paddingRight = "23px";
	}
	//alert(document.all("content").offsetWidth + " =? " + document.all("content").scrollWidth);
}

/*****************************************************************************************************************************/
/* On peut aussi naviguer au clavier, avec les touches Flche gauche / Flche droite / Flche vers le haut / H.
Gauche.keyCode = 37, droite = 39, up = 38, H = 72. */
function navigue(event) {
	//LEFT ARROW
    if (event.keyCode == "37") {
		try {
			location.href = document.getElementById("imgNavPrevious").parentNode.href;
		}
		catch(error) { }
    }
    else {
		//RIGHT ARROW
        if (event.keyCode == "39") {
			try {
				location.href = document.getElementById("imgNavNext").parentNode.href;
			}
			catch(error) { }
		}
		else {
			//UP ARROW
			if (event.keyCode == "38") {
				try {
					location.href = document.getElementById("imgNavUp").parentNode.href;
				}
				catch(error) { }
			}
			else {
				//H
				if (event.keyCode == "72") {
					try {
						location.href = document.getElementById("imgNavHome").parentNode.href;
					}
					catch(error) { }
				}
				else {
					//DOWN ARROW
					if (event.keyCode == "40") {
						//ne rien faire
						event.returnValue = false;
					}
				}
			}
		}
	}
}

